Bug 2074966 (CVE-2022-27380) - CVE-2022-27380 mariadb: server crash at my_decimal::operator=
Summary: CVE-2022-27380 mariadb: server crash at my_decimal::operator=
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-27380
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2083246 2083249 2089977 2089980 2090192 2090831 2090832 2090833 2090834 2090839 2090845 2096275 2096280 2101779 2107052 2107074
Blocks: 2075026
TreeView+ depends on / blocked
 
Reported: 2022-04-13 11:25 UTC by TEJ RATHI
Modified: 2022-11-26 00:28 UTC (History)
20 users (show)

Fixed In Version: mariadb 10.9.1, mariadb 10.8.3, mariadb 10.7.4, mariadb 10.6.8, mariadb 10.5.16, mariadb 10.4.25, mariadb 10.3.35, mariadb 10.2.44
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in MariaDB. The component, my_decimal::operator=, allows attackers to cause a denial of service (DoS) via specially crafted SQL statements, affecting availability.
Clone Of:
Environment:
Last Closed: 2022-11-26 00:28:13 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:5759 0 None None None 2022-07-28 16:06:45 UTC
Red Hat Product Errata RHSA-2022:5826 0 None None None 2022-08-02 10:10:54 UTC
Red Hat Product Errata RHSA-2022:5948 0 None None None 2022-08-09 12:25:20 UTC
Red Hat Product Errata RHSA-2022:6306 0 None None None 2022-09-01 14:19:15 UTC
Red Hat Product Errata RHSA-2022:6443 0 None None None 2022-09-13 09:42:34 UTC

Description TEJ RATHI 2022-04-13 11:25:15 UTC
An issue in the component my_decimal::operator= of MariaDB Server v10.6.3 and below was discovered to allow attackers to cause a Denial of Service (DoS) via specially crafted SQL statements.

https://jira.mariadb.org/browse/MDEV-26280

Comment 1 Mauro Matteo Cascella 2022-05-24 13:36:09 UTC
Upstream commit:
https://github.com/MariaDB/server/commit/3c209bfc040ddfc41ece8357d772547432353fd2

Comment 5 Mauro Matteo Cascella 2022-05-26 16:04:11 UTC
Created mariadb tracking bugs for this issue:

Affects: fedora-all [bug 2090831]

Comment 6 Mauro Matteo Cascella 2022-05-26 16:09:43 UTC
Created mariadb:10.5/mariadb tracking bugs for this issue:

Affects: fedora-all [bug 2090832]

Comment 7 Mauro Matteo Cascella 2022-05-26 16:19:08 UTC
Created mariadb:10.3/mariadb tracking bugs for this issue:

Affects: fedora-all [bug 2090833]

Comment 8 Mauro Matteo Cascella 2022-05-26 16:29:07 UTC
Created mariadb:10.4/mariadb tracking bugs for this issue:

Affects: fedora-all [bug 2090834]

Comment 9 Mauro Matteo Cascella 2022-05-26 16:39:00 UTC
Created mariadb:10.6/mariadb tracking bugs for this issue:

Affects: fedora-all [bug 2090839]

Comment 10 Mauro Matteo Cascella 2022-05-26 16:57:41 UTC
Created mariadb:10.7/mariadb tracking bugs for this issue:

Affects: fedora-all [bug 2090845]

Comment 11 errata-xmlrpc 2022-07-28 16:06:42 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7

Via RHSA-2022:5759 https://access.redhat.com/errata/RHSA-2022:5759

Comment 12 errata-xmlrpc 2022-08-02 10:10:51 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:5826 https://access.redhat.com/errata/RHSA-2022:5826

Comment 13 errata-xmlrpc 2022-08-09 12:25:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2022:5948 https://access.redhat.com/errata/RHSA-2022:5948

Comment 14 errata-xmlrpc 2022-09-01 14:19:13 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7

Via RHSA-2022:6306 https://access.redhat.com/errata/RHSA-2022:6306

Comment 15 errata-xmlrpc 2022-09-13 09:42:31 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:6443 https://access.redhat.com/errata/RHSA-2022:6443

Comment 17 Product Security DevOps Team 2022-11-26 00:28:11 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-27380


Note You need to log in before you can comment on or make changes to this bug.